%global _firmware_path /lib/firmware
%define url_version 2023.01.11-138c0

%global debug_package %{nil}

Name:           raspberrypi-eeprom
Version:        2023.01.11
Release:        1
Summary:        Raspberry Pi 4 EEPROM firmware
License:        BSD-3-Clause and custom
URL:            https://github.com/raspberrypi/rpi-eeprom
Source0:        https://github.com/raspberrypi/rpi-eeprom/archive/v%{url_version}/rpi-eeprom-%{version}.tar.gz

Patch0000:      python3_env.patch
Patch0001:      tr-instead-of-string-in-rpi-eeprom-update.patch

AutoReq: no
AutoProv: yes

Provides:       rpi-eeprom
Requires:       raspberrypi-firmware libraspberrypi-bin python3 binutils pciutils
Provides:       rpi-eeprom-config = %{version}
Obsoletes:      rpi-eeprom-config < %{version}
BuildRequires:  fdupes
ExclusiveArch: aarch64
ExclusiveOS: Linux

%description
Installation scripts and binaries for the closed sourced Raspberry Pi 4 EEPROMs.

%prep
%setup -q -n %{name}-%{version} -c
mv rpi-eeprom-%{url_version} %{name}-%{version}
cd %{name}-%{version}
%patch0000 -p1
%patch0001 -p1

%build

%install
cd %{name}-%{version}
mkdir -p %{buildroot}%{_bindir}
install -m 0755 rpi-eeprom-config %{buildroot}%{_bindir}
install -m 0755 rpi-eeprom-digest %{buildroot}%{_bindir}
install -m 0755 rpi-eeprom-update %{buildroot}%{_bindir}
mkdir -p %{buildroot}/etc/default
install -m 644 rpi-eeprom-update-default %{buildroot}/etc/default/rpi-eeprom-update
mkdir -p %{buildroot}%{_firmware_path}/raspberrypi/bootloader
install -m 644 firmware/release-notes.md %{buildroot}%{_firmware_path}/raspberrypi/bootloader/
mv firmware/beta %{buildroot}%{_firmware_path}/raspberrypi/bootloader
mv firmware/critical %{buildroot}%{_firmware_path}/raspberrypi/bootloader
mv firmware/stable %{buildroot}%{_firmware_path}/raspberrypi/bootloader
cp -a firmware/latest %{buildroot}%{_firmware_path}/raspberrypi/bootloader
cp -a firmware/default %{buildroot}%{_firmware_path}/raspberrypi/bootloader
%fdupes -s %{buildroot}%{_firmware_path}/raspberrypi/bootloader

%files
%license %{name}-%{version}/LICENSE
%{_bindir}/rpi-eeprom-config
%{_bindir}/rpi-eeprom-digest
%{_bindir}/rpi-eeprom-update
%config /etc/default/rpi-eeprom-update
%{_firmware_path}/raspberrypi

%changelog
* Sat Mar 18 2023 Yafen Fang <yafen@iscas.ac.cn> - 2023.01.11-1
- update upstream version to 2023.01.11-138c0
- update patch for rpi-eeprom-update: use 'tr' instead of 'strings'

* Fri Mar 25 2022 Yafen Fang <yafen@iscas.ac.cn> - 2022.01.25-2
- remove unused license: uIP

* Tue Mar 22 2022 Yafen Fang <yafen@iscas.ac.cn> - 2022.01.25-1
- update upstream version to 2022.01.25-138a1
- fix for openEuler after following up upstream

* Sun Sep 26 2021 Yafen Fang <yafen@iscas.ac.cn> - 2021.04.29-2
- remove rpi-eeprom-update.service

* Sat Sep 25 2021 Yafen Fang <yafen@iscas.ac.cn> - 2021.04.29-1
- init package
